org.springframework.cloud.dataflow.server.controller

## Class VisibleProperties

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.VisibleProperties

-     public class VisibleProperties
      extends Object

  Knows how to expand app properties into their full form if visible properties (short hand form) have been used.
  Author:
    Eric Bottard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisibleProperties(ApplicationConfigurationMetadataResolver metadataResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `qualifyProperties(Map<String,String> properties, org.springframework.core.io.Resource metadataResource)` Return a copy of app properties where shorthand form have been expanded to their long form (amongst the visible supported properties of the app) if applicable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisibleProperties

          public VisibleProperties(ApplicationConfigurationMetadataResolver metadataResolver)

  - ### Method Detail

    - #### qualifyProperties

          public Map<String,String> qualifyProperties(Map<String,String> properties,
                                                      org.springframework.core.io.Resource metadataResource)

      Return a copy of app properties where shorthand form have been expanded to their long form (amongst the visible supported properties of the app) if applicable.
      Parameters:
        `properties` - the application properties in shorthand form
        `metadataResource` - the metadata that can be used to expand shorthand property names to long form names
      Returns:
        the application properties with expanded long form property names

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.